Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[MENFORCER-402] - fix provided dependencies in RequireUpperBoundDeps #140

Merged
merged 9 commits into from May 28, 2022

Conversation

subes
Copy link
Contributor

@subes subes commented Feb 13, 2022

Copy the fix from the DependencyConvergence check (MENFORCER-394) to also fix MENFORCER-402.

Following this checklist to help us incorporate your
contribution quickly and easily:

  • Make sure there is a JIRA issue filed
    for the change (usually before you start working on it). Trivial changes like typos do not
    require a JIRA issue. Your pull request should address just this issue, without
    pulling in other changes.
  • Each commit in the pull request should have a meaningful subject line and body.
  • Format the pull request title like [MENFORCER-XXX] - Fixes bug in ApproximateQuantiles,
    where you replace MENFORCER-XXX with the appropriate JIRA issue. Best practice
    is to use the JIRA issue title in the pull request title and in the first line of the
    commit message.
  • Write a pull request description that is detailed enough to understand what the pull request does, how, and why.
  • Run mvn clean verify to make sure basic checks pass. A more thorough check will
    be performed on your pull request automatically.
  • You have run the integration tests successfully (mvn -Prun-its clean verify).

If your pull request is about ~20 lines of code you don't need to sign an
Individual Contributor License Agreement if you are unsure
please ask on the developers list.

To make clear that you license your contribution under
the Apache License Version 2.0, January 2004
you have to acknowledge this by using the following check-box.

copy the fix from the DependencyConvergence check
@danielnorberg
Copy link

danielnorberg commented Mar 24, 2022

I believe this might be the correct fix apache/maven-dependency-tree#9

@slawekjaranowski
Copy link
Member

slawekjaranowski commented May 24, 2022

@subes

  • please rebase with current master code
  • please put issue in square brackets in commit message

@slawekjaranowski slawekjaranowski self-assigned this May 24, 2022
@subes subes changed the title MENFORCER-402 - fix provided dependencies in RequireUpperBoundDeps [MENFORCER-402] - fix provided dependencies in RequireUpperBoundDeps May 25, 2022
@subes
Copy link
Contributor Author

subes commented May 25, 2022

Done. Dunno how to edit commit message, a squash and merge should use the title of this pull request instead.

@slawekjaranowski
Copy link
Member

slawekjaranowski commented May 25, 2022

@subes
Copy link
Contributor Author

subes commented May 27, 2022

thanks, done

@slawekjaranowski
Copy link
Member

slawekjaranowski commented May 27, 2022

@subes pleas run:

mvn -Prun-its clean verify

and fix IT test

@subes
Copy link
Contributor Author

subes commented May 27, 2022

done

@slawekjaranowski slawekjaranowski merged commit 35ad6b4 into apache:master May 28, 2022
10 checks passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
3 participants